# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'testplan/version'

Gem::Specification.new do |spec|
  spec.name          = "testplan"
  spec.version       = Testplan::VERSION
  spec.authors       = ["Pim Snel"]
  spec.email         = ["pim@lingewoud.nl"]
  spec.summary       = %q{Test plans for rspec}
  spec.description   = %q{Rake tasks and DSL for organizing rspec cases with test plans and test platforms}
  spec.homepage      = "https://github.com/mipmip/testplan"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "simplecov", "~> 0.10"
  spec.add_development_dependency "minitest", "~> 5.1"

  spec.add_runtime_dependency "thor", "~> 0.19"
  spec.add_runtime_dependency "rspec", "~> 3"
  spec.add_runtime_dependency "rspec_testlink_formatters", "~> 0"
end
